Bug 143253 - yum erase kernel does not modify GRUBs default boot image
Summary: yum erase kernel does not modify GRUBs default boot image
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-17 19:03 UTC by Florian Effenberger
Modified: 2014-01-21 22:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-29 18:21:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Florian Effenberger 2004-12-17 19:03:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; de-DE; rv:1.7.5)
Gecko/20041108 Firefox/1.0

Description of problem:
yum erase kernel does not modify GRUBs default boot image

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Have two kernels installed, kernel1 and kernel2.
2. Have set Windows XP as boot image as well within GRUB.
3. Set default boot to Windows XP with anaconda.
4. yum erase kernel1
    

Actual Results:  Default boot is now kernel2.

Expected Results:  Windows XP should stay default boot.

Additional info:

Comment 1 Seth Vidal 2004-12-17 19:05:04 UTC
pretty sure this is a mkinitrd issue. Jeremy, do you agree?


Comment 2 Seth Vidal 2005-07-29 18:21:21 UTC
closing.


Note You need to log in before you can comment on or make changes to this bug.